MagickCore: image.h File Reference

# image.h File Reference

`#include <magick/color.h>`
`#include "magick/blob.h"`
`#include "magick/colorspace.h"`
`#include "magick/cache-view.h"`
`#include "magick/composite.h"`
`#include "magick/compress.h"`
`#include "magick/effect.h"`
`#include "magick/geometry.h"`
`#include "magick/layer.h"`
`#include "magick/monitor.h"`
`#include "magick/pixel.h"`
`#include "magick/profile.h"`
`#include "magick/quantum.h"`
`#include "magick/resample.h"`
`#include "magick/resize.h"`
`#include "magick/semaphore.h"`
`#include "magick/stream.h"`
`#include "magick/timer.h"`

Go to the source code of this file.

## Data Structures
struct | _PrimaryInfo
struct | _SegmentInfo
struct | _ChromaticityInfo
struct | _Image
struct | _ImageInfo
## Defines
#define | OpaqueOpacity ((Quantum) 0UL)
#define | TransparentOpacity (QuantumRange)
## Typedefs
typedef struct _PrimaryInfo | PrimaryInfo
typedef struct _SegmentInfo | SegmentInfo
typedef struct _ChromaticityInfo | ChromaticityInfo
## Enumerations
enum | AlphaChannelType { UndefinedAlphaChannel, ActivateAlphaChannel, DeactivateAlphaChannel, ResetAlphaChannel, SetAlphaChannel }
enum | ImageType { UndefinedType, BilevelType, GrayscaleType, GrayscaleMatteType, PaletteType, PaletteMatteType, TrueColorType, TrueColorMatteType, ColorSeparationType, ColorSeparationMatteType, OptimizeType, PaletteBilevelMatteType }
enum | InterlaceType { UndefinedInterlace, NoInterlace, LineInterlace, PlaneInterlace, PartitionInterlace, GIFInterlace, JPEGInterlace, PNGInterlace }
enum | OrientationType { UndefinedOrientation, TopLeftOrientation, TopRightOrientation, BottomRightOrientation, BottomLeftOrientation, LeftTopOrientation, RightTopOrientation, RightBottomOrientation, LeftBottomOrientation }
enum | ResolutionType { UndefinedResolution, PixelsPerInchResolution, PixelsPerCentimeterResolution }
enum | TransmitType { UndefinedTransmitType, FileTransmitType, BlobTransmitType, StreamTransmitType, ImageTransmitType }
## Functions
MagickExport const IndexPacket * | AcquireIndexes (const Image *)
MagickExport const PixelPacket * | AcquireImagePixels (const Image *, const long, const long, const unsigned long, const unsigned long, ExceptionInfo *)
MagickExport ExceptionType | CatchImageException (Image *)
MagickExport Image * | AllocateImage (const ImageInfo *)
MagickExport Image ** | AppendImages (const Image *, const MagickBooleanType, ExceptionInfo *)
MagickExport Image *** | AverageImages (const Image *, ExceptionInfo *)
MagickExport Image **** | CloneImage (const Image *, const unsigned long, const unsigned long, const MagickBooleanType, ExceptionInfo *)
MagickExport Image ***** | CombineImages (const Image *, const ChannelType, ExceptionInfo *)
MagickExport Image ****** | DestroyImage (Image *)
MagickExport Image ******* | GetImageClipMask (const Image *, ExceptionInfo *)
MagickExport Image ******** | GetImageMask (const Image *, ExceptionInfo *)
MagickExport Image ********* | NewMagickImage (const ImageInfo *, const unsigned long, const unsigned long, const MagickPixelPacket *)
MagickExport Image ********** | ReferenceImage (Image *)
MagickExport Image *********** | SeparateImages (const Image *, const ChannelType, ExceptionInfo *)
MagickExport ImageInfo * | AcquireImageInfo (void)
MagickExport ImageInfo ** | CloneImageInfo (const ImageInfo *)
MagickExport ImageInfo *** | DestroyImageInfo (ImageInfo *)
MagickExport ImageType | GetImageType (const Image *, ExceptionInfo *)
MagickExport IndexPacket * | GetIndexes (const Image *)
MagickExport long | InterpretImageFilename (char *, const size_t, const char *, int)
MagickExport MagickBooleanType | AllocateImageColormap (Image *, const unsigned long)
MagickExport MagickBooleanType | ClipImage (Image *)
MagickExport MagickBooleanType | ClipImagePath (Image *, const char *, const MagickBooleanType)
MagickExport MagickBooleanType | CycleColormapImage (Image *, const long)
MagickExport MagickBooleanType | GradientImage (Image *, const PixelPacket *, const PixelPacket *)
MagickExport MagickBooleanType | IsTaintImage (const Image *)
MagickExport MagickBooleanType | IsMagickConflict (const char *)
MagickExport MagickBooleanType | IsHighDynamicRangeImage (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | IsImageObject (const Image *)
MagickExport MagickBooleanType | ListMagickInfo (FILE *, ExceptionInfo *)
MagickExport MagickBooleanType | ModifyImage (Image **, ExceptionInfo *)
MagickExport MagickBooleanType | PlasmaImage (Image *, const SegmentInfo *, unsigned long, unsigned long)
MagickExport MagickBooleanType | ResetImagePage (Image *, const char *)
MagickExport MagickBooleanType | SeparateImageChannel (Image *, const ChannelType)
MagickExport MagickBooleanType | SetImageAlphaChannel (Image *, const AlphaChannelType)
MagickExport MagickBooleanType | SetImageBackgroundColor (Image *)
MagickExport MagickBooleanType | SetImageClipMask (Image *, const Image *)
MagickExport MagickBooleanType | SetImageExtent (Image *, const unsigned long, const unsigned long)
MagickExport MagickBooleanType | SetImageInfo (ImageInfo *, const MagickBooleanType, ExceptionInfo *)
MagickExport MagickBooleanType | SetImageMask (Image *, const Image *)
MagickExport MagickBooleanType | SetImageOpacity (Image *, const Quantum)
MagickExport MagickBooleanType | SetImageStorageClass (Image *, const ClassType)
MagickExport MagickBooleanType | SetImageType (Image *, const ImageType)
MagickExport MagickBooleanType | SortColormapByIntensity (Image *)
MagickExport MagickBooleanType | StripImage (Image *)
MagickExport MagickBooleanType | SyncImage (Image *)
MagickExport MagickBooleanType | SyncImagePixels (Image *)
MagickExport MagickBooleanType | TextureImage (Image *, const Image *)
MagickExport MagickPixelPacket | AcquireOneMagickPixel (const Image *, const long, const long, ExceptionInfo *)
MagickExport PixelPacket | AcquireOnePixel (const Image *, const long, const long, ExceptionInfo *)
MagickExport PixelPacket | AcquireOneVirtualPixel (const Image *, const VirtualPixelMethod, const long, const long, ExceptionInfo *)
MagickExport PixelPacket * | GetImagePixels (Image *, const long, const long, const unsigned long, const unsigned long)
MagickExport PixelPacket * | GetOnePixel (Image *, const long, const long)
MagickExport PixelPacket ** | GetPixels (const Image *)
MagickExport PixelPacket *** | SetImagePixels (Image *, const long, const long, const unsigned long, const unsigned long)
MagickExport VirtualPixelMethod | GetImageVirtualPixelMethod (const Image *)
MagickExport VirtualPixelMethod | SetImageVirtualPixelMethod (const Image *, const VirtualPixelMethod)
MagickExport void | AllocateNextImage (const ImageInfo *, Image *)
MagickExport void | DestroyImagePixels (Image *)
MagickExport void | DisassociateImageStream (Image *)
MagickExport void | GetImageException (Image *, ExceptionInfo *)
MagickExport void | GetImageInfo (ImageInfo *)
MagickExport void | SetImageInfoBlob (ImageInfo *, const void *, const size_t)
MagickExport void | SetImageInfoFile (ImageInfo *, FILE *)

## Define Documentation

#define OpaqueOpacity ((Quantum) 0UL)

#define TransparentOpacity (QuantumRange)

## Typedef Documentation

typedef struct _ChromaticityInfo ChromaticityInfo

typedef struct _PrimaryInfo PrimaryInfo

typedef struct _SegmentInfo SegmentInfo

## Enumeration Type Documentation

enum AlphaChannelType

Enumerator:

  UndefinedAlphaChannel |
  ActivateAlphaChannel |
  DeactivateAlphaChannel |
  ResetAlphaChannel |
  SetAlphaChannel |

enum ImageType

Enumerator:

  UndefinedType |
  BilevelType |
  GrayscaleType |
  GrayscaleMatteType |
  PaletteType |
  PaletteMatteType |
  TrueColorType |
  TrueColorMatteType |
  ColorSeparationType |
  ColorSeparationMatteType |
  OptimizeType |
  PaletteBilevelMatteType |

enum InterlaceType

Enumerator:

  UndefinedInterlace |
  NoInterlace |
  LineInterlace |
  PlaneInterlace |
  PartitionInterlace |
  GIFInterlace |
  JPEGInterlace |
  PNGInterlace |

enum OrientationType

Enumerator:

  UndefinedOrientation |
  TopLeftOrientation |
  TopRightOrientation |
  BottomRightOrientation |
  BottomLeftOrientation |
  LeftTopOrientation |
  RightTopOrientation |
  RightBottomOrientation |
  LeftBottomOrientation |

enum ResolutionType

Enumerator:

  UndefinedResolution |
  PixelsPerInchResolution |
  PixelsPerCentimeterResolution |

enum TransmitType

Enumerator:

  UndefinedTransmitType |
  FileTransmitType |
  BlobTransmitType |
  StreamTransmitType |
  ImageTransmitType |

## Function Documentation

MagickExport ImageInfo* AcquireImageInfo | ( | void |  | ) |

MagickExport const PixelPacket* AcquireImagePixels | ( | const Image * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const IndexPacket* AcquireIndexes | ( | const Image * |  | ) |

MagickExport MagickPixelPacket AcquireOneMagickPixel | ( | const Image * | ,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport PixelPacket AcquireOnePixel | ( | const Image * | ,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport PixelPacket AcquireOneVirtualPixel | ( | const Image * | ,
|  | const | VirtualPixelMethod,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* AllocateImage | ( | const ImageInfo * |  | ) |

MagickExport MagickBooleanType AllocateImageColormap | ( | Image * | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport void AllocateNextImage | ( | const ImageInfo * | ,
|  | Image * |  |
| ) |  |  |

MagickExport Image* * AppendImages | ( | const Image * | ,
|  | const | MagickBooleanType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * AverageImages | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport ExceptionType CatchImageException | ( | Image * |  | ) |

MagickExport MagickBooleanType ClipImage | ( | Image * |  | ) |

MagickExport MagickBooleanType ClipImagePath | ( | Image * | ,
|  | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport Image* * * * CloneImage | ( | const Image * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | const | MagickBooleanType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport ImageInfo* * CloneImageInfo | ( | const ImageInfo * |  | ) |

MagickExport Image* * * * * CombineImages | ( | const Image * | ,
|  | const | ChannelType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType CycleColormapImage | ( | Image * | ,
|  | const | long |
| ) |  |  |

MagickExport Image* * * * * * DestroyImage | ( | Image * |  | ) |

MagickExport ImageInfo* * * DestroyImageInfo | ( | ImageInfo * |  | ) |

MagickExport void DestroyImagePixels | ( | Image * |  | ) |

MagickExport void DisassociateImageStream | ( | Image * |  | ) |

MagickExport Image* * * * * * * GetImageClipMask | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void GetImageException | ( | Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void GetImageInfo | ( | ImageInfo * |  | ) |

MagickExport Image* * * * * * * * GetImageMask | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport PixelPacket * GetImagePixels | ( | Image * | ,
|  | const | long,
|  | const | long,
|  | const unsigned long | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport ImageType GetImageType | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport VirtualPixelMethod GetImageVirtualPixelMethod | ( | const Image * |  | ) |

MagickExport IndexPacket* GetIndexes | ( | const Image * |  | ) |

MagickExport PixelPacket * GetOnePixel | ( | Image * | ,
|  | const | long,
|  | const | long |
| ) |  |  |

MagickExport PixelPacket * * GetPixels | ( | const Image * |  | ) |

MagickExport MagickBooleanType GradientImage | ( | Image * | ,
|  | const PixelPacket * | ,
|  | const PixelPacket * |  |
| ) |  |  |

MagickExport long InterpretImageFilename | ( | char * | ,
|  | const | size_t,
|  | const char * | ,
|  | int |  |
| ) |  |  |

MagickExport MagickBooleanType IsHighDynamicRangeImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType IsImageObject | ( | const Image * |  | ) |

MagickExport MagickBooleanType IsMagickConflict | ( | const char * |  | ) |

MagickExport MagickBooleanType IsTaintImage | ( | const Image * |  | ) |

MagickExport MagickBooleanType ListMagickInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ModifyImage | ( | Image ** | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * * * NewMagickImage | ( | const ImageInfo * | ,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | const MagickPixelPacket * |  |
| ) |  |  |

MagickExport MagickBooleanType PlasmaImage | ( | Image * | ,
|  | const SegmentInfo * | ,
|  | unsigned long | ,
|  | unsigned long |  |
| ) |  |  |

MagickExport Image* * * * * * * * * * ReferenceImage | ( | Image * |  | ) |

MagickExport MagickBooleanType ResetImagePage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType SeparateImageChannel | ( | Image * | ,
|  | const | ChannelType |
| ) |  |  |

MagickExport Image* * * * * * * * * * * SeparateImages | ( | const Image * | ,
|  | const | ChannelType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType SetImageAlphaChannel | ( | Image * | ,
|  | const | AlphaChannelType |
| ) |  |  |

MagickExport MagickBooleanType SetImageBackgroundColor | ( | Image * |  | ) |

MagickExport MagickBooleanType SetImageClipMask | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |

MagickExport MagickBooleanType SetImageExtent | ( | Image * | ,
|  | const unsigned long | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport MagickBooleanType SetImageInfo | ( | ImageInfo * | ,
|  | const | MagickBooleanType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void SetImageInfoBlob | ( | ImageInfo * | ,
|  | const void * | ,
|  | const | size_t |
| ) |  |  |

MagickExport void SetImageInfoFile | ( | ImageInfo * | ,
|  | FILE * |  |
| ) |  |  |

MagickExport MagickBooleanType SetImageMask | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |

MagickExport MagickBooleanType SetImageOpacity | ( | Image * | ,
|  | const | Quantum |
| ) |  |  |

MagickExport PixelPacket * * * SetImagePixels | ( | Image * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long |
| ) |  |  |

MagickExport MagickBooleanType SetImageStorageClass | ( | Image * | ,
|  | const | ClassType |
| ) |  |  |

MagickExport MagickBooleanType SetImageType | ( | Image * | ,
|  | const | ImageType |
| ) |  |  |

MagickExport VirtualPixelMethod SetImageVirtualPixelMethod | ( | const Image * | ,
|  | const | VirtualPixelMethod |
| ) |  |  |

MagickExport MagickBooleanType SortColormapByIntensity | ( | Image * |  | ) |

MagickExport MagickBooleanType StripImage | ( | Image * |  | ) |

MagickExport MagickBooleanType SyncImage | ( | Image * |  | ) |

MagickExport MagickBooleanType SyncImagePixels | ( | Image * |  | ) |

MagickExport MagickBooleanType TextureImage | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |